import type { AvatarProps } from "./UserAvatar.styled";
interface UserAvatarProps extends AvatarProps {
    user: User;
}
interface GroupProps {
    user: Group;
}
interface User {
    first_name: string | null;
    last_name: string | null;
    common_name: string;
    email?: string;
}
interface Group {
    first_name: string;
}
export default function UserAvatar({ user, ...props }: UserAvatarProps | GroupProps): import("react/jsx-runtime").JSX.Element;
export declare function Avatar({ children, ...props }: {
    children: string;
}): import("react/jsx-runtime").JSX.Element;
export {};
